Subject: [Megaco] Comment / question about H.248 NAS package

From: Hannu Vormisto <[email-masked]>
Date: Wed, 05 Dec 2001 18:19:14 +0200

Hi Tom,

I am sending this comment/question to you like Christian is proposing.

Christian Groves wrote:
> 
> G'Day Hannu,
> 
> In the scenario you talk about you could use H.248v2 to individually
> auditvalue the TMR and USI when you receive the event. Alternatively you
> could put the proposal to the NAS authors to add TMR/USI to the event.
> 
> Regards, Christian

I have a question / coment concernig "draft-ietf-megaco-naspkg-03.txt"
I have not yet found a way for the MG to define, on call by call basis
which type or of PSTN bearer - Transmission Media Requirements (TMR)
the MGC shoulkd use for the outgoing call - neither any means for the
MG to indicate which type of User Service Indicator (USI) should
be used for the outgoing call. I also have some questions - request
for clarification concerning the TMR and USI usage with NAS incoming
calls.

I have been told that for Incoming NAS Calls, the general support in
H.248 Annex C defines how TMR and USI can be passed from MGC to MG
(NAS context) when creating the context for incoming NAS call.
Would it be possible to explicitly mention/clarify in H.248 NAS package
definition that TMR and USI properties from H.248 Annex C can be used
in addition to those NAS specific properties that have been defined
in NAS INCOMING PACKAGE when creating the context for NAS calls?

For NAS outgoing calls, I would like the H.248 NAS package to define
and explain how MG can push up to MGC its own idea of suitable TMR and
USI values for a PSTN call that has been initiated with NAS CONTROL PACKAGE
"Outgoing Call" event. Christian is proposing above that TMR and USI
could be Audited from MG, but at least I have not seen any procedures
on NAS package explaining how MGC could audit TMR and USI from "NAS Control 
termination" (using "data user handle" as a key ???) before the MGC
initiates the call. I think mysef that it would be easier to include
TMR and USI (or sufficient input for those) directly as optional
parameters to NAS CONTROL PACKAGE "Outgoing Call" event.

The text below is my own, from my question to Christian and I hope
it explains the background and the traffic cases for this question.

> > What I want to do, is the MG/NAS to initiate an outgoing PSTN call.
> > Either because of L2TP dialout or for "dial-on-demand" type of functions
> > that the MG/NAS can spontaniously invoke. Here I assume that
> > the MG/NAS knows how the call should be made and which TMR and USI should
> > be used. That is, if the MG/NAS (or the AAA servers that the MGs are using)
> > is clever enough to know which PSTN number to call, it is clever enough to
> > know whether it should make a modem call, ISDN data call or e.g. ISDN data
> > call using V.110 rate adaptation. For this purpose, the MG/NAS should be
> > able to indicate, before the PSTN call setup, which type of TMR and USI the
> > MGC should use and also indicate with parameters in ISUP IAM message
> > for the outgoing call. Below is the logically correct and shortest
> > sequence for NAS dialout, but it is course not according to H.248 NAS
> > package since the package does not include TMR and USI on NAS control
> > package Outgoing Call event.
> >
> >      MG/NAS                         MGC                      ISUP
> >       |                              |                        |
> >   Any reason for MG to initiate      |                        |
> >   an outgoing NAS call!              |                        |
> >       |                              |                        |
> >       |   H.248 NAS Control Event:   |                        |
> >       |   Outgoing Call(             |                        |
> >       |       number to dial,        |                        |
> >       |       data user handle,      |                        |
> >       |       TMR                    |                        |
> >       |       USI)                   |                        |
> >       |----------------------------->| IAM(numbers,TMR, USI)  |
> >       |                              |----------------------> |
> >       |   Add (TDM+NAS,              |   CON                  |
> >       |        Data User Handle)     |<-----------------------|
> >       |                              |
> >       |<-----------------------------|
> >       |    Reply                     |
> >       |----------------------------->|
> >

Regards,
Hannu Vormisto

_______________________________________________
Megaco mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/megaco

---

From: Hannu Vormisto <[email-masked]>
Date: Wed, 05 Dec 2001 18:19:14 +0200

Hi Tom,

Regards,
Hannu Vormisto